Skip to content

Retrieve a visitor with User ID

Request

You can fetch the details of a single visitor.

Security
bearerAuth
Query
user_idstringrequired

The user_id of the Visitor you want to retrieve.

Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.14"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.14
curl -i -X GET \
  'https://api.intercom.io/visitors?user_id=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.14'

Responses

successful

Bodyapplication/json
typestring

Value is 'visitor'

Default:"visitor"
Example:"visitor"
idstring

The Intercom defined id representing the Visitor.

Example:"530370b477ad7120001d"
user_idstring

Automatically generated identifier for the Visitor.

Example:"8a88a590-e1c3-41e2-a502-e0649dbf721c"
anonymousboolean

Identifies if this visitor is anonymous.

Example:false
emailstring, (email)

The email of the visitor.

Example:"jane.doe@example.com"
phonestring or null

The phone number of the visitor.

Example:"555-555-5555"
namestring or null

The name of the visitor.

Example:"Jane Doe"
pseudonymstring or null

The pseudonym of the visitor.

Example:"Red Duck from Dublin"
avatarobject
app_idstring

The id of the app the visitor is associated with.

Example:"hfi1bx4l"
companiesobject
location_dataobject
las_request_atinteger

The time the Lead last recorded making a request.

Example:1663597260
created_atinteger

The time the Visitor was added to Intercom.

Example:1663597223
remote_created_atinteger

The time the Visitor was added to Intercom.

Example:1663597223
signed_up_atinteger

The time the Visitor signed up for your product.

Example:1663597223
updated_atinteger

The last time the Visitor was updated.

Example:1663597260
session_countinteger

The number of sessions the Visitor has had.

Example:1
social_profilesobject
owner_idstring or null

The id of the admin that owns the Visitor.

Example:"5169261"
unsubscribed_from_emailsboolean

Whether the Visitor is unsubscribed from emails.

Example:false
marked_email_as_spamboolean

Identifies if this visitor has marked an email as spam.

Example:false
has_hard_bouncedboolean

Identifies if this visitor has had a hard bounce.

Example:false
tagsobject
segmentsobject
custom_attributesobject

The custom attributes you have set on the Visitor.

referrerstring or null

The referer of the visitor.

Example:"https://www.google.com/"
utm_campaignstring or null

The utm_campaign of the visitor.

Example:"intercom-link"
utm_contentstring or null

The utm_content of the visitor.

Example:"banner"
utm_mediumstring or null

The utm_medium of the visitor.

Example:"email"
utm_sourcestring or null

The utm_source of the visitor.

Example:"Intercom"
utm_termstring or null

The utm_term of the visitor.

Example:"messenger"
do_not_trackboolean or null

Identifies if this visitor has do not track enabled.

Example:false
Response
{ "type": "visitor", "id": "6762f3101bb69f9f2193bc64", "user_id": "3ecf64d0-9ed1-4e9f-88e1-da7d6e6782f3", "anonymous": true, "email": "", "phone": null, "name": null, "pseudonym": null, "avatar": { "type": "avatar", "image_url": null }, "app_id": "this_is_an_id722_that_should_be_at_least_", "companies": { "type": "company.list", "companies": [] }, "location_data": {}, "last_request_at": null, "created_at": 1734538000, "remote_created_at": 1734538000, "signed_up_at": 1734538000, "updated_at": 1734538000, "session_count": 0, "social_profiles": { "type": "social_profile.list", "social_profiles": [] }, "owner_id": null, "unsubscribed_from_emails": false, "marked_email_as_spam": false, "has_hard_bounced": false, "tags": { "type": "tag.list", "tags": [] }, "segments": { "type": "segment.list", "segments": [] }, "custom_attributes": {}, "referrer": null, "utm_campaign": null, "utm_content": null, "utm_medium": null, "utm_source": null, "utm_term": null, "do_not_track": null }